#!/usr/bin/perl

use lib lib;
use strict;

require "param.pl";
require "script.pl";
require "mail.pl";


my $config = &script::readsetting('./files/config.txt') or die "Read Config Error";
my $message = &script::readsetting('./files/message.txt') or die "Read Config Error";
my $param = &param::get;


(-e $config->{sendmailpath}) or &script::html('Error !', "$message->{sendmailcheckerror} $config->{sendmailpath}", 1);
(-f $config->{resmailfilepath}) or &script::html('Error !', "$message->{filecheckerror} $config->{resmailfilepath}", 1);
(-f $config->{infomailfilepath}) or &script::html('Error !', "$message->{filecheckerror} $config->{infomailfilepath}", 1);

unless ($param->{name}) {
&script::html('Error !', $message->{nameinputerror}, 1);
}
unless ($param->{email}) {
&script::html('Error !', $message->{emailinputerror}, 1);
}
unless (&mail::check($param->{email})) {
&script::html('Error !', $message->{emailformaterror}, 1);
}
unless ($param->{message}) {
&script::html('Error !', $message->{messageinputerror}, 1);
}
$param->{message} =~ s/\x0D\x0A|\x0D|\x0A/\n/g;

my %identity = (
name => $param->{name},
email => $param->{email},
message => $param->{message},
date => &script::date($config->{dateformat})
);

my $infomailpart = &mail::set($config->{infomailfilepath}, \%identity) or &script::html('Error !', $message->{mailfilemakeerror}, 1);

my %mail = (
sendmail => $config->{sendmailpath},
error => $config->{email}
);

$mail{from} = $param->{email};
$mail{to} = $config->{email};
$mail{bcc} = $config->{bcc};
$mail{sender} = $infomailpart->{sender};
$mail{subject} = $infomailpart->{subject};
$mail{body} = $infomailpart->{body};

unless (&mail::send(\%mail)) {
&script::html('Error !', $message->{infomailsenderror}, 1);
}

if ($param->{confirm} == 1) {

my $resmailpart = &mail::set($config->{resmailfilepath}, \%identity) or &script::html('Error !', $message->{mailfilemakeerror}, 1);

$mail{from} = $config->{email};
$mail{to} = $param->{email};
$mail{bcc} = "";
$mail{sender} = $resmailpart->{sender};
$mail{subject} = $resmailpart->{subject};
$mail{body} = $resmailpart->{body};

unless (&mail::send(\%mail)) {
&script::html('Error !', $message->{resmailsenderror}, 1);
}

}

print "Location: $config->{location}\n\n";
#&script::html('Mailform CGI', $message->{success});
exit;
